Package picard.util

# Class ScatterIntervalsByNs.ScatterIntervalsByNReferenceArgumentCollection

java.lang.Object
picard.util.ScatterIntervalsByNs.ScatterIntervalsByNReferenceArgumentCollection

All Implemented Interfaces:
  `ReferenceArgumentCollection`

Enclosing class:
  ScatterIntervalsByNs

public static class ScatterIntervalsByNs.ScatterIntervalsByNReferenceArgumentCollection extends Object implements ReferenceArgumentCollection

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`REFERENCE`

## Constructor Summary

Constructors
Constructor
Description
`ScatterIntervalsByNReferenceArgumentCollection()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getReferenceFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### REFERENCE

@Argument(shortName="R", doc="Reference sequence to use. Note: this tool requires that the reference fasta has both an associated index and a dictionary.") public File REFERENCE

## Constructor Details

### ScatterIntervalsByNReferenceArgumentCollection

public ScatterIntervalsByNReferenceArgumentCollection()

## Method Details

### getReferenceFile

public File getReferenceFile()

Specified by:
  `getReferenceFile` in interface `ReferenceArgumentCollection`
Returns:
  The reference provided by the user, if any, or the default, if any.